For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cost Center

Endpoints for Cost Center addon

Cost Center addon

Save a Cost Center

post

This route is used to create a new Cost Center

Body
anyOptional
Responses
200

Success

No content

post/b2b/cost-center
POST /b2b/cost-center HTTP/1.1
Content-Type: application/json
Accept: */*
200

Success

No content

Fetch a Cost Center

get
Path parameters
CostCenterIdstringRequired

ID of CostCenter

Responses
200

New response

application/json
anyOptional
get/b2b/cost-center/{id}
GET /b2b/cost-center/{id} HTTP/1.1
Accept: */*
200

New response

No content

Update a Cost Center

put

This route is used to update a existing Cost Center

Path parameters
CostCenterIdstringRequired

ID of CostCenter

Body
anyOptional
Responses
200

Success

No content

put/b2b/cost-center/{id}
PUT /b2b/cost-center/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
200

Success

No content

Delete a Cost Center

delete

This route is used to delete a existing Cost Center

Path parameters
CostCenterIdstringRequired

ID of CostCenter

Responses
200

Success

No content

delete/b2b/cost-center/{id}
DELETE /b2b/cost-center/{id} HTTP/1.1
Accept: */*
200

Success

No content

Update a Cost Center

patch

This route is used to update a existing Cost Center

Path parameters
CostCenterIdstringRequired

ID of CostCenter

Body
anyOptional
Responses
200

Success

No content

patch/b2b/cost-center/{id}
PATCH /b2b/cost-center/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
200

Success

No content

List Cost Center

post

Lists all Cost Center and allows filtering them based on a criteria.

Authorizations
sw-context-tokenstringRequired
Responses
200Success

No content

post/b2b/cost-center/list
POST /b2b/cost-center/list HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200Success

No content

Last updated

Was this helpful?